Dhiigkaraxyo
GET https://uptimer24.com/api/heartbeats/
curl --request GET \
--url 'https://uptimer24.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
| Halbeegyada | Faahfaahin | Sharaxaad |
|---|---|---|
| search | Ikhtiyaari Xadhig | Xadhigga raadinta. |
| search_by | Ikhtiyaari Xadhig | Waa maxay goobta aad ka baareyso. Qiimayaasha la oggol yahay waa: name. |
| is_enabled | Ikhtiyaari Boolean | |
| project_id | Ikhtiyaari Tiro buuxda | |
| datetime_field | Ikhtiyaari Xadhig | Qiimayaasha la oggol yahay: datetime, last_datetime, last_run_datetime |
| datetime_start | Ikhtiyaari Xadhig | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Ikhtiyaari Xadhig | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Ikhtiyaari Xadhig | Waa maxay goobta lagu kala dalbanayo natiijooyinka. Qiimayaasha la oggol yahay waa: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime. |
| order_type | Ikhtiyaari Xadhig | Kala-sarraynta natiijooyinka. Qiimayaasha la oggol yahay waa: ASC oo ah kala-sarrayn kor u socda, iyo DESC oo ah kala-sarrayn hoos u socda. |
| page | Ikhtiyaari Tiro buuxda | Lambarka bogga ee aad rabto natiijooyinka ka soo baxa. Asal ahaan waa 1. |
| results_per_page | Ikhtiyaari Tiro buuxda | Imisa natiijo ayaad rabtaa bog kasta. Qiimayaasha la oggol yahay waa: 10, 25, 50, 100, 250, 500, 1000. Waxay asal ahaan u dhigantaa 25. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Demo cron",
"code": "12345678901112131415",
"settings": {
"run_interval": 1,
"run_interval_type": "minutes",
"run_interval_grace": 1,
"run_interval_grace_type": "seconds"
},
"is_ok": 1,
"uptime": 75.5,
"downtime": 24.5,
"total_runs": 50,
"total_missed_runs": 15,
"last_run_datetime": "2021-03-30 19:17:22",
"notifications": {
"email_is_enabled": 0,
"webhook": "",
"slack": "",
"twilio": ""
},
"is_enabled": true,
"datetime": "2026-07-19 04:04:57",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/heartbeats?page=1",
"last": "https://uptimer24.com/api/heartbeats?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/heartbeats?page=1"
}
}
GET https://uptimer24.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Demo cron",
"code": "12345678901112131415",
"settings": {
"run_interval": 1,
"run_interval_type": "minutes",
"run_interval_grace": 1,
"run_interval_grace_type": "seconds"
},
"is_ok": 1,
"uptime": 75.5,
"downtime": 24.5,
"total_runs": 50,
"total_missed_runs": 15,
"last_run_datetime": "2021-03-30 19:17:22",
"notifications": {
"email_is_enabled": 0,
"webhook": "",
"slack": "",
"twilio": ""
},
"is_enabled": true,
"datetime": "2026-07-19 04:04:57",
}
}
POST https://uptimer24.com/api/heartbeats
| Halbeegyada | Faahfaahin | Sharaxaad |
|---|---|---|
| name | Lagu baahan yahay Xadhig | - |
| run_interval | Ikhtiyaari Tiro buuxda | - |
| run_interval_type | Ikhtiyaari Xadhig | Qiimayaasha la oggol yahay: seconds, minutes, hours, days |
| run_interval_grace | Ikhtiyaari Tiro buuxda | - |
| run_interval_grace_type | Ikhtiyaari Xadhig | Qiimayaasha la oggol yahay: seconds, minutes, hours, days |
| is_ok_notifications | Ikhtiyaari Array | Aqoonsiyada maareeyaha ogeysiiska |
| is_enabled | Ikhtiyaari Boolean | - |
curl --request POST \
--url 'https://uptimer24.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptimer24.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptimer24.com/api/heartbeats/{heartbeat_id}
| Halbeegyada | Faahfaahin | Sharaxaad |
|---|---|---|
| name | Ikhtiyaari Xadhig | - |
| run_interval | Ikhtiyaari Tiro buuxda | - |
| run_interval_type | Ikhtiyaari Xadhig | Qiimayaasha la oggol yahay: seconds, minutes, hours, days |
| run_interval_grace | Ikhtiyaari Tiro buuxda | - |
| run_interval_grace_type | Ikhtiyaari Xadhig | Qiimayaasha la oggol yahay: seconds, minutes, hours, days |
| is_ok_notifications | Ikhtiyaari Array | Aqoonsiyada maareeyaha ogeysiiska |
| is_enabled | Ikhtiyaari Boolean | - |
curl --request POST \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \